package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallProductQa;
import com.jeesharp.business.modules.mall.vo.MallProductQaQueryVO;
import com.jeesharp.framework.pojo.Page;
import com.jeesharp.framework.pojo.query.PageRespVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * 商品问答 Service 接口
 */
public interface MallProductQaService extends BaseInterface<MallProductQa, MallProductQaQueryVO> {

    void createQa(MallProductQa entity);

    void updateQa(MallProductQa entity);
void addQuestion(String memberId, String spuId, String question, Integer isAnonymous);

    void reply(String qaId, String answer, String replyBy);

    PageRespVO<MallProductQa> getProductQaList(String spuId, Page<MallProductQa> page);
}
